libgdamm Reference Documentation

Main Page Namespaces Book

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- c
- d
- g
- p
- q

### - c -

- CLIENT_GENERAL_ERROR : Gnome::Gda::ClientError
- CONNECTION_CONN_OPEN_ERROR : Gnome::Gda::ConnectionError
- CONNECTION_DO_QUERY_ERROR : Gnome::Gda::ConnectionError
- CONNECTION_EXECUTE_COMMAND_ERROR : Gnome::Gda::ConnectionError
- CONNECTION_NO_CNC_SPEC_ERROR : Gnome::Gda::ConnectionError
- CONNECTION_NO_PROVIDER_SPEC_ERROR : Gnome::Gda::ConnectionError
- CONNECTION_NONEXIST_DSN_ERROR : Gnome::Gda::ConnectionError
- CONNECTION_OPEN_ERROR : Gnome::Gda::ConnectionError

### - d -

- DATA_MODEL_ITER_WHAT_ERROR : Gnome::Gda::DataModelIterError
- DATA_MODEL_QUERY_COMPUTE_MODIF_QUERIES_ERROR : Gnome::Gda::DataModelQueryError
- DATA_MODEL_QUERY_XML_LOAD_ERROR : Gnome::Gda::DataModelQueryError
- DICT_AGGREGATES_ERROR : Gnome::Gda::DictError
- DICT_DATATYPE_ERROR : Gnome::Gda::DictError
- DICT_FILE_LOAD_ERROR : Gnome::Gda::DictError
- DICT_FILE_SAVE_ERROR : Gnome::Gda::DictError
- DICT_FUNCTIONS_ERROR : Gnome::Gda::DictError
- DICT_LOAD_FILE_NOT_EXIST_ERROR : Gnome::Gda::DictError
- DICT_META_DATA_UPDATE_ERROR : Gnome::Gda::DictError
- DICT_META_DATA_UPDATE_USER_STOPPED : Gnome::Gda::DictError

### - g -

- GENERAL_INCORRECT_VALUE_ERROR : Gnome::Gda::GeneralError
- GENERAL_OBJECT_NAME_ERROR : Gnome::Gda::GeneralError
- GENERAL_OPERATION_ERROR : Gnome::Gda::GeneralError

### - p -

- PARAMETER_LIST_DEPENDENCY_NOT_IN_PARAMLIST_ERROR : Gnome::Gda::ParameterListError
- PARAMETER_LIST_DEPENDENCY_POSITION_ERROR : Gnome::Gda::ParameterListError
- PARAMETER_LIST_NO_NODE_ERROR : Gnome::Gda::ParameterListError
- PARAMETER_LIST_NODE_OUTDATED_ERROR : Gnome::Gda::ParameterListError
- PARAMETER_LIST_VALUE_PROV_DATA_TYPE_ERROR : Gnome::Gda::ParameterListError
- PARAMETER_LIST_VALUE_PROV_INVISIBLE_ERROR : Gnome::Gda::ParameterListError
- PARAMETER_LIST_VALUE_PROV_OBJ_TYPE_ERROR : Gnome::Gda::ParameterListError
- PARAMETER_LIST_VALUE_PROV_QUERY_TYPE_ERROR : Gnome::Gda::ParameterListError
- PARAMETER_LIST_XML_SPEC_ERROR : Gnome::Gda::ParameterListError
- PARAMETER_QUERY_LIMIT_ERROR : Gnome::Gda::ParameterError

### - q -

- QUERY_CNC_CLOSED_ERROR : Gnome::Gda::QueryError
- QUERY_EXEC_ERROR : Gnome::Gda::QueryError
- QUERY_FIELDS_ERROR : Gnome::Gda::QueryError
- QUERY_META_DATA_UPDATE : Gnome::Gda::QueryError
- QUERY_NO_CNC_ERROR : Gnome::Gda::QueryError
- QUERY_PARSE_ERROR : Gnome::Gda::QueryError
- QUERY_RENDER_ERROR : Gnome::Gda::QueryError
- QUERY_SQL_ANALYSE_ERROR : Gnome::Gda::QueryError
- QUERY_STRUCTURE_ERROR : Gnome::Gda::QueryError
- QUERY_SYNTAX_ERROR : Gnome::Gda::QueryError
- QUERY_TARGETS_ERROR : Gnome::Gda::QueryError
- QUERY_XML_LOAD_ERROR : Gnome::Gda::QueryError